from flask import Flask,request,make_response,redirect,render_template,url_for,abort,flash
app=Flask(__name__)
app.config['SECRET_KEY']='132456'

@app.errorhandler(404)
def page_not_found(e):
    return render_template('404.html'),404

@app.errorhandler(500)
def internal_server_error(e):
    return render_template('500.html'),500

@app.route('/')
def index():
    return render_template('index.html')

@app.route('/post/')
def posts():
    page=request.args.get('page')
    return '<h1>%s</h1>' % page

@app.route('/post/<int:id>')
def post(id):
    return render_template('post.html',id=id)